> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://reference.flatfile.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://reference.flatfile.com/_mcp/server.

# Update an environment

PATCH https://api.x.flatfile.com/v1/environments/{environmentId}
Content-Type: application/json

Updates a single environment, to change the name for example

Reference: https://reference.flatfile.com/api-reference/environments/update

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `environmentId` (string, required) — ID of the environment to update

### Body (application/json)

This endpoint expects an EnvironmentConfigUpdate.

- `name` (string, optional) — The name of the environment
- `isProd` (boolean, optional) — Whether or not the environment is a production environment
- `guestAuthentication` (list of enum, optional)
  - Allowed values: `shared_link`, `magic_link`
- `metadata` (map from string to any, optional)
- `translationsPath` (string, optional)
- `namespaces` (list of string, optional)
- `languageOverride` (string, optional)

## Response

### 200

- `id` (string, required) — Environment ID
- `accountId` (string, required) — Account ID
- `name` (string, required) — The name of the environment
- `isProd` (boolean, required) — Whether or not the environment is a production environment
- `guestAuthentication` (list of enum, required)
  - Allowed values: `shared_link`, `magic_link`
- `features` (map from string to any, required)
- `metadata` (map from string to any, required)
- `translationsPath` (string, optional)
- `namespaces` (list of string, optional)
- `languageOverride` (string, optional)

## Examples

**Request**

```json
{
  "name": "dev",
  "isProd": false,
  "guestAuthentication": [
    "magic_link"
  ],
  "metadata": {
    "key": "value"
  },
  "namespaces": [
    "default"
  ]
}
```

**Response**

```json
{
  "id": "us_env_YOUR_ID",
  "accountId": "us_acc_YOUR_ID",
  "name": "dev",
  "isProd": false,
  "guestAuthentication": [
    "magic_link"
  ],
  "features": {},
  "metadata": {},
  "namespaces": [
    "default"
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.x.flatfile.com/v1/environments/us_env_YOUR_ID"

payload = {
    "name": "dev",
    "isProd": False,
    "guestAuthentication": ["magic_link"],
    "metadata": { "key": "value" },
    "namespaces": ["default"]
}
headers = {
    "X-Disable-Hooks": "true",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```typescript
import { FlatfileClient } from "@flatfile/api";

const client = new FlatfileClient({ token: "YOUR_TOKEN" });
await client.environments.update("us_env_YOUR_ID", {
    name: "dev",
    isProd: false,
    guestAuthentication: ["magic_link"],
    metadata: {
        "key": "value"
    },
    namespaces: ["default"]
});

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.x.flatfile.com/v1/environments/us_env_YOUR_ID"

	payload := strings.NewReader("{\n  \"name\": \"dev\",\n  \"isProd\": false,\n  \"guestAuthentication\": [\n    \"magic_link\"\n  ],\n  \"metadata\": {\n    \"key\": \"value\"\n  },\n  \"namespaces\": [\n    \"default\"\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("X-Disable-Hooks", "true")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.x.flatfile.com/v1/environments/us_env_YOUR_ID")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["X-Disable-Hooks"] = 'true'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"dev\",\n  \"isProd\": false,\n  \"guestAuthentication\": [\n    \"magic_link\"\n  ],\n  \"metadata\": {\n    \"key\": \"value\"\n  },\n  \"namespaces\": [\n    \"default\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.x.flatfile.com/v1/environments/us_env_YOUR_ID")
  .header("X-Disable-Hooks", "true")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"dev\",\n  \"isProd\": false,\n  \"guestAuthentication\": [\n    \"magic_link\"\n  ],\n  \"metadata\": {\n    \"key\": \"value\"\n  },\n  \"namespaces\": [\n    \"default\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.x.flatfile.com/v1/environments/us_env_YOUR_ID', [
  'body' => '{
  "name": "dev",
  "isProd": false,
  "guestAuthentication": [
    "magic_link"
  ],
  "metadata": {
    "key": "value"
  },
  "namespaces": [
    "default"
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'X-Disable-Hooks' => 'true',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.x.flatfile.com/v1/environments/us_env_YOUR_ID");
var request = new RestRequest(Method.PATCH);
request.AddHeader("X-Disable-Hooks", "true");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"dev\",\n  \"isProd\": false,\n  \"guestAuthentication\": [\n    \"magic_link\"\n  ],\n  \"metadata\": {\n    \"key\": \"value\"\n  },\n  \"namespaces\": [\n    \"default\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Disable-Hooks": "true",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "dev",
  "isProd": false,
  "guestAuthentication": ["magic_link"],
  "metadata": ["key": "value"],
  "namespaces": ["default"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.x.flatfile.com/v1/environments/us_env_YOUR_ID")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```